<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:20 CST 2018 -->
<title>O-Index</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="O-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Convert.html#objectArrayToBytePrimArray-java.lang.Object:A-">objectArrayToBytePrimArray(Object[])</a></span> - Static method in class projectx.engine.utils.<a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils">Convert</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/managers/entities/objects/Objects.html" title="class in projectx.engine.managers.entities.objects"><span class="typeNameLink">Objects</span></a> - Class in <a href="../projectx/engine/managers/entities/objects/package-summary.html">projectx.engine.managers.entities.objects</a></dt>
<dd>
<div class="block">This class is a template for all static entities</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/objects/Objects.html#Objects-projectx.engine.Handler-int-int-projectx.game.enums.ObjectsType-">Objects(Handler, int, int, ObjectsType)</a></span> - Constructor for class projectx.engine.managers.entities.objects.<a href="../projectx/engine/managers/entities/objects/Objects.html" title="class in projectx.engine.managers.entities.objects">Objects</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums"><span class="typeNameLink">ObjectsType</span></a> - Enum in <a href="../projectx/game/enums/package-summary.html">projectx.game.enums</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Convert.html#objectToByte-java.lang.Object-">objectToByte(Object)</a></span> - Static method in class projectx.engine.utils.<a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils">Convert</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/game/file/OFile_Client.html" title="class in projectx.game.file"><span class="typeNameLink">OFile_Client</span></a> - Class in <a href="../projectx/game/file/package-summary.html">projectx.game.file</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/file/OFile_Client.html#OFile_Client--">OFile_Client()</a></span> - Constructor for class projectx.game.file.<a href="../projectx/game/file/OFile_Client.html" title="class in projectx.game.file">OFile_Client</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/game/file/OFileServer.html" title="class in projectx.game.file"><span class="typeNameLink">OFileServer</span></a> - Class in <a href="../projectx/game/file/package-summary.html">projectx.game.file</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/file/OFileServer.html#OFileServer--">OFileServer()</a></span> - Constructor for class projectx.game.file.<a href="../projectx/game/file/OFileServer.html" title="class in projectx.game.file">OFileServer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/terminal/modes/Overlay.html" title="class in projectx.engine.terminal.modes"><span class="typeNameLink">Overlay</span></a> - Class in <a href="../projectx/engine/terminal/modes/package-summary.html">projectx.engine.terminal.modes</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/modes/Overlay.html#Overlay--">Overlay()</a></span> - Constructor for class projectx.engine.terminal.modes.<a href="../projectx/engine/terminal/modes/Overlay.html" title="class in projectx.engine.terminal.modes">Overlay</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
